Package org.spongepowered.asm.util

## Class Constants

- java.lang.Object
- - org.spongepowered.asm.util.Constants

-     public abstract class Constants
      extends java.lang.Object

  Miscellaneous shared constants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Constants.ManifestAttributes` | Shared Jar Manifest Attributes

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CLASS` |
    `static java.lang.String` | `CLASS_DESC` |
    `static java.lang.String` | `CLINIT` |
    `static java.lang.String` | `CTOR` |
    `static java.io.File` | `DEBUG_OUTPUT_DIR` |
    `static java.lang.String` | `DEBUG_OUTPUT_PATH` |
    `static java.lang.String` | `IMAGINARY_SUPER` |
    `static java.lang.String` | `MIXIN_PACKAGE` |
    `static java.lang.String` | `MIXIN_PACKAGE_REF` |
    `static java.lang.String` | `OBJECT` |
    `static java.lang.String` | `OBJECT_DESC` |
    `static java.lang.String` | `SIDE_CLIENT` |
    `static java.lang.String` | `SIDE_DEDICATEDSERVER` |
    `static java.lang.String` | `SIDE_SERVER` |
    `static java.lang.String` | `SIDE_UNKNOWN` |
    `static java.lang.String` | `STRING` |
    `static java.lang.String` | `STRING_DESC` |
    `static java.lang.String` | `SYNTHETIC_PACKAGE` |
    `static char` | `UNICODE_SNOWMAN` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CTOR

          public static final java.lang.String CTOR

      See Also:
        Constant Field Values

    - #### CLINIT

          public static final java.lang.String CLINIT

      See Also:
        Constant Field Values

    - #### IMAGINARY_SUPER

          public static final java.lang.String IMAGINARY_SUPER

      See Also:
        Constant Field Values

    - #### DEBUG_OUTPUT_PATH

          public static final java.lang.String DEBUG_OUTPUT_PATH

      See Also:
        Constant Field Values

    - #### MIXIN_PACKAGE

          public static final java.lang.String MIXIN_PACKAGE

    - #### MIXIN_PACKAGE_REF

          public static final java.lang.String MIXIN_PACKAGE_REF

    - #### STRING

          public static final java.lang.String STRING

      See Also:
        Constant Field Values

    - #### OBJECT

          public static final java.lang.String OBJECT

      See Also:
        Constant Field Values

    - #### CLASS

          public static final java.lang.String CLASS

      See Also:
        Constant Field Values

    - #### STRING_DESC

          public static final java.lang.String STRING_DESC

      See Also:
        Constant Field Values

    - #### OBJECT_DESC

          public static final java.lang.String OBJECT_DESC

      See Also:
        Constant Field Values

    - #### CLASS_DESC

          public static final java.lang.String CLASS_DESC

      See Also:
        Constant Field Values

    - #### SYNTHETIC_PACKAGE

          public static final java.lang.String SYNTHETIC_PACKAGE

      See Also:
        Constant Field Values

    - #### UNICODE_SNOWMAN

          public static final char UNICODE_SNOWMAN

      See Also:
        Constant Field Values

    - #### DEBUG_OUTPUT_DIR

          public static final java.io.File DEBUG_OUTPUT_DIR

    - #### SIDE_DEDICATEDSERVER

          public static final java.lang.String SIDE_DEDICATEDSERVER

      See Also:
        Constant Field Values

    - #### SIDE_SERVER

          public static final java.lang.String SIDE_SERVER

      See Also:
        Constant Field Values

    - #### SIDE_CLIENT

          public static final java.lang.String SIDE_CLIENT

      See Also:
        Constant Field Values

    - #### SIDE_UNKNOWN

          public static final java.lang.String SIDE_UNKNOWN

      See Also:
        Constant Field Values